Author Topic: "C" for copy & "CR" for circle ~ ACAD2006  (Read 6959 times)

0 Members and 1 Guest are viewing this topic.

VerticalMojo

  • Guest
"C" for copy & "CR" for circle ~ ACAD2006
« on: March 06, 2006, 04:45:28 PM »
Okay, they finally upgraded my ACAD 2000LT to ACAD Mechanical 2006 (FULL!!!). So i am just learning all the new features!  8-)

I just about have my settings exactly how I had it in LT except for one thing.

How do I change my "C" to copy and "CR" to circle?

Thanks



Birdy

  • Guest
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #1 on: March 06, 2006, 04:53:41 PM »
edit your acad.pgp file (tack this onto the end)

C,         *Copy
CR,         *CIRCLE

JohnK

  • Administrator
  • Seagull
  • Posts: 10412
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #2 on: March 06, 2006, 05:18:36 PM »
you could do this too.

Command: (defun c:c () (repeat 2 (command)) (command "_copy") (princ))
C:C
Command: (defun c:cr () (command) (command) (command "circle") (princ))
C:CR

Sorry, just had to.
TheSwamp.org (serving the CAD community since 2003)

Donate to TheSwamp.org

Birdy

  • Guest
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #3 on: March 06, 2006, 05:19:59 PM »
 :-D
Thats why I love this place

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #4 on: March 06, 2006, 05:25:30 PM »
Birdy, as mentioned elsewhere, John has stopped taking his tablets .. dont encourage him.
kdub in one timeline.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

--> Donate to theSwamp<-

Birdy

  • Guest
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #5 on: March 06, 2006, 05:26:28 PM »
<smack!> :)

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #6 on: March 06, 2006, 05:27:50 PM »
 :whistle:
kdub in one timeline.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

--> Donate to theSwamp<-

JohnK

  • Administrator
  • Seagull
  • Posts: 10412
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #7 on: March 06, 2006, 05:35:32 PM »
(defun c:cr ()
  (command "_circle")
  (princ "\nG'head and draw your stupid circle already..." )
  (while (eq (getvar "cmdactive") 1)
     (command PAUSE)
    )
  (princ "\nMy goodness your slow! Its a wonder you can draw at all.")
  (princ) )

Hows that?
TheSwamp.org (serving the CAD community since 2003)

Donate to TheSwamp.org

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #8 on: March 06, 2006, 05:41:57 PM »
"I loaded your lisp and cant get it to work. What am I doing wrong."

"Please eMail me a new version"
kdub in one timeline.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

--> Donate to theSwamp<-

JohnK

  • Administrator
  • Seagull
  • Posts: 10412
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #9 on: March 06, 2006, 05:53:51 PM »
Oh, ok. Sorry it must be the diff time zones or 'cause we are in a diff. country. ...Hold on, ill convert it now.

(defun c:cr ()
  (command "_circle")
  (princ "\nGood day to you sir or madam. (I've asked the computer your name, but I couldnt understand the darn thing.) Please draw your circle now.")
  (while (eq (getvar "cmdactive") 1)
     (command PAUSE)
    )
  (princ "\nAhe, Thank you sir or madam. Have a wonderfull day.")
  (princ)
 )

And i Thank You for your buisness i appreciate it very much. Now please send me a check for 5000.
TheSwamp.org (serving the CAD community since 2003)

Donate to TheSwamp.org

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #10 on: March 06, 2006, 05:55:45 PM »
"Works GREAT now, You'se da bomb"

The cheques in the mail
kdub in one timeline.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

--> Donate to theSwamp<-

JohnK

  • Administrator
  • Seagull
  • Posts: 10412
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #11 on: March 06, 2006, 08:18:39 PM »
Hey nit-wit did you hear that. "I'm da bomb!"
*click*What did you call me?!
Umm...nothing.
No, you called me something. What was it...
No I didnt.
`Nit-wit'! Do I have to make you drool all over yourself again?
NO!
*sigh*
TheSwamp.org (serving the CAD community since 2003)

Donate to TheSwamp.org

Maverick«

  • Seagull
  • Posts: 14778
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #12 on: March 07, 2006, 08:31:03 AM »
  Are you Chester Cheetah?

  That text is the exact color of Cheetos.  Really. Go get a bag and check it out.

VerticalMojo

  • Guest
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #13 on: March 07, 2006, 09:39:59 AM »
I changed all my PGP files (3) but still no go. When they installed my 06 mechanical is seems that I can load up 2 diffrent versions. Mechanical and vanilla. The mechanical version is changed but the vanilla version isn't.

Diněsaur

  • Certified Bovine Scat Distributor...I lay it on THICK
  • Needs a day job
  • Posts: 5424
  • But I don't WANT a Day Job
Re: "C" for copy & "CR" for circle ~ ACAD2006
« Reply #14 on: March 07, 2006, 10:59:33 AM »
The PGP file is in separate locations for each flavor AutoCAD you run in 2006.  You can either make the same changes while running in vanilla or you can copy the Mechanical over the one in the Vanilla location.
They are in the support folder for each program in the Documents and Settings folder under your log in name.
Stephen R. Sherrill,
The Diněsaur
Civil 3D Specialist Emeritus

YAY ME !!!  I made it out alive !